<div id="rightBox">
	<table border="0" cellpadding="0" cellspacing="0" class="rightBox_table">
		<tr>
			<td><img src="/files/contentBoxTop.jpg" alt="" width="690" height="16"/></td>
		</tr>
		<tr>
			<td valign="top" style="background-image: url(/files/contentBoxMiddle.jpg); width: 690px; height: 547px; background-position: center top; background-repeat: no-repeat;">
				<div id="rightBox_content">
					<div class="content_title"><a href="/tickets/list_items">Wiadomości</a> > szczegóły</div>
					<?php
						if(isset($message))
						{
								echo '<p class="info_box">'.$message.'<p>';								
						}
					?>
					<?php
						if(isset($ticket))
						{

                            if(!empty($statusy))
                            {
                                echo '<form action="" method="post">';
                                echo 'Status:';
                                    echo '<select name="status">';
                                            foreach($statusy as $k=>$v)
                                                echo '<option value="'.$v->id.'" '.((isset($ticket_status) && ($ticket_status == $v->id)) ? 'selected="selected"':'').'>'.$v->nazwa.'</option>';
                                    echo '</select>';
                                echo '<input type="submit" value="Zmień" class="grey_button round_corners"/>';
                                echo '</form>';
                           }

                           echo '<br />';

							if(isset($child_tickets) && count($child_tickets)>0)
							{
								echo '<fieldset id="filters_0" class="collapsible collapsed">';
								echo '<legend onclick="toggleFieldset(this,0);">'.$ticket->data_wyslania.' <b>OD:</b> '.$ticket->nadawca.' <b>DO</b> '.$ticket->odbiorca.'</legend>
									 <div name="toggle_group" id="fieldset_content_0" style="display:none;">';								
							}
							else	
							{
								echo '<fieldset id="filters_0" class="collapsible">';
									echo '<legend onclick="toggleFieldset(this,0);">'.$ticket->data_wyslania.' <b>OD:</b> '.$ticket->nadawca.' <b>DO</b> '.$ticket->odbiorca.'</legend>
										 <div name="toggle_group" id="fieldset_content_0">';
							}
													
									
									echo '<table id="hor-minimalist-b" style="width:100%">';
			
										echo '<tr>';
											echo '<td width="140">Temat</td>';
											echo '<td><div class="info_field">'.$ticket->temat.'</div></td>';
										echo '</tr>';

										echo '<tr>';
											echo '<td width="140">Kategoria</td>';
											echo '<td><div class="info_field">'.$ticket->kategoria.'</div></td>';
										echo '</tr>';

										echo '<tr>';
											echo '<td width="140">Status</td>';
											echo '<td><div class="info_field">'.$ticket->status.'</div></td>';
										echo '</tr>';
		
										echo '<tr>';
											echo '<td width="140">Priorytet</td>';
											echo '<td><div class="info_field">'.$ticket->priorytet.'</div></td>';
										echo '</tr>';

										echo '<tr>';
											echo '<td width="140">Wiadomość</td>';
											echo '<td><div class="info_field">'.nl2br($ticket->wiadomosc).'</div></td>';
										echo '</tr>';
										echo '<tr>';
											echo '<td width="140">Załączniki</td>';
											echo '<td><div class="info_field">';
											if(isset($ticket->zalaczniki) && count($ticket->zalaczniki>0))
											{									
												echo '<table>';
													foreach($ticket->zalaczniki as $key=>$value)
													{
														$nazwa_pliku = explode('/',$value->sciezka);
														$nazwa_pliku = $nazwa_pliku[count($nazwa_pliku)-1];
														 
														$nazwa_pliku_real = explode('__',$nazwa_pliku);
														$nazwa_pliku_real = $nazwa_pliku_real[count($nazwa_pliku_real)-1];
														  
														echo '<tr>';
															echo '<td>'.($key+1).'</td>';									
															echo '<td><a href="'.$value->sciezka.'" target="_blank">'.$nazwa_pliku_real.'</a></td>';
														echo '</tr>';
													}
												echo '</table>';
											}
											else
												echo 'brak';
												
											echo '</div></td>';
										echo '</tr>';								
																																										
									echo '</table><br/>';
									
								echo	'</div>
    								</fieldset>
									<br/>';									
						}
						
						//child tickets
						if(isset($child_tickets))
						{
							foreach($child_tickets as $key=>$value)
							{
								if($key == (count($child_tickets)-1))
									{
										echo '<fieldset id="filters_'.($key+1).'" class="collapsible">';
										echo '<legend onclick="toggleFieldset(this,'.($key+1).');">'.$value->data_wyslania.' <b>OD:</b> '.$value->nadawca.' <b>DO</b> '.$value->odbiorca.'</legend>
											  <div name="toggle_group" id="fieldset_content_'.($key+1).'">';										
									}
								else
									{
										echo '<fieldset id="filters_'.($key+1).'" class="collapsible collapsed">';
										echo '<legend onclick="toggleFieldset(this,'.($key+1).');">'.$value->data_wyslania.' <b>OD:</b> '.$value->nadawca.' <b>DO</b> '.$value->odbiorca.'</legend>
											  <div name="toggle_group" id="fieldset_content_'.($key+1).'" style="display:none;">';
									}
											
		
											echo '<table id="hor-minimalist-b" style="width:100%">';
											  	echo '<tr>';
													echo '<td width="140">Status</td>';
													echo '<td><div class="info_field">'.$value->status.'</div></td>';
												echo '</tr>';

											  	echo '<tr>';
													echo '<td width="140">Priorytet</td>';
													echo '<td><div class="info_field">'.$value->priorytet.'</div></td>';
												echo '</tr>';

											  	echo '<tr>';
													echo '<td width="140">Wiadomość</td>';
													echo '<td><div class="info_field">'.nl2br($value->wiadomosc).'</div></td>';
												echo '</tr>';

												echo '<tr>';
													echo '<td width="140">Załączniki</td>';
													echo '<td><div class="info_field">';
													if(isset($value->zalaczniki) && is_array($value->zalaczniki))
													{									
														echo '<table>';
															foreach($value->zalaczniki as $key2=>$value2)
															{
																$nazwa_pliku = explode('/',$value2->sciezka);
																$nazwa_pliku = $nazwa_pliku[count($nazwa_pliku)-1];
																 
																$nazwa_pliku_real = explode('__',$nazwa_pliku);
																$nazwa_pliku_real = $nazwa_pliku_real[count($nazwa_pliku_real)-1];
																  
																echo '<tr>';
																	echo '<td>'.($key2+1).'</td>';									
																	echo '<td><a href="'.$value2->sciezka.'" target="_blank">'.$nazwa_pliku_real.'</a></td>';
																echo '</tr>';
															}
														echo '</table>';
													}
													else
														echo 'brak';														
													echo '</div></td>';
												echo '</tr>';								
												echo '<tr><td colspan="2" align="right" style="border:none;"><a href="#top">TOP</a></td></tr>';
																																												
											echo '</table><br/>	';																						
											
											
								echo	'</div>
    								</fieldset>
									<br/>';
							}							
						}
							
					?>
						<div class="formHr">&nbsp;</div>
                        <div class="form_buttons_v1">
                            <?php

                                if($can_reply && isset($ticket))
                                {
                                    echo '<input type="button" name="odpowiedz" value="Odpowiedz" class="formButton" onclick="document.location.href=\''.base_url().'tickets/response/'.((!empty($ticket->parent_id) ? $ticket->parent_id:$ticket->id)).'\'"/>';
                                    if(isset($user_type) && $user_type == 'master')
                                            echo '<input type="button" name="przekieruj" value="Przekieruj" class="formButton" onclick="document.location.href=\''.base_url().'tickets/forward/'.((!empty($ticket->parent_id) ? $ticket->parent_id:$ticket->id)).'\'"/>';
                                }
                            ?>
                            <input type="button" name="anuluj" value="Anuluj" class="formButton" onclick="document.location.href='<?php echo base_url();?>tickets';"/>
                            <input type="button" name="zwin" value="Zwiń" class="formButton" onclick="zwinAllFieldsets();"/>
                            <input type="button" name="rozwin" value="Rozwiń" class="formButton" onclick="rozwinAllFieldsets();"/>
                        </div>

				</div>
			</td>
		</tr>
	</table>
</div>						